Dropzone.autoDiscover = false;

$('[id*="sendme_"]').each(function () {
    var options = $(this).attr('id').split('sendme_');
    var nameof = options[1];
    var dropUrl = 'test' + options[1] + '.php';

    $(this).dropzone({
        url: "tte.php",
        addRemoveLinks: true,
        renameFile: function (file) {
            var newName = file.name;
            newName = newName.split('.')[1];
            console.log(newName);
            console.log(nameof + newName);
            return nameof + '.' + newName;
        },
        paramName: "uploadedFile",
        maxFilesize: 1,
        maxFiles: 1,
		acceptedFiles:'image/jpeg,image/png,image/jpg',
        maxfilesexceeded: function (file) {
            this.removeAllFiles();
            this.addFile(file);
        },
        init: function () {
            this.on("error", function (file, responseText, oon) {
                console.log(oon);
            });
            this.on("success", function (file, responseText) {
                console.log(responseText);
            });
        },
        dictDefaultMessage: "بارگذاری تصویر",
        dictRemoveFile: "حذف نمایش",
		dictFileTooBig:"سایز تصویر بیشتر از یک مگابایت میباشد",
		dictInvalidFileType:"فرمت فایل نا معتبر میباشد",
		dictCancelUpload:"توقف ارسال",
		dictUploadCanceled:"ارسال متوقف شد"

    });

});


$('[id*="sendvid_"]').each(function () { 
    var options = $(this).attr('id').split('sendvid_');
    var nameof = options[1];
    var dropUrl = 'test' + options[1] + '.php';

    $(this).dropzone({
        url: "vve.php",
        addRemoveLinks: true,
        renameFile: function (file) {
            var newName = file.name;
            newName = newName.split('.')[1];
            console.log(newName);
            console.log(nameof + newName);
            return nameof + '.' + newName;
        },
        paramName: "uploadedVid",
        maxFilesize: 10,
        maxFiles: 1,
		timeout:180000,
		acceptedFiles:'video/mp4',
        maxfilesexceeded: function (file) {
            this.removeAllFiles();
            this.addFile(file);
        },
        init: function () {
            this.on("error", function (file, responseText, oon) {
                console.log(oon);
            });
            this.on("success", function (file, responseText) {
                console.log(responseText);
            });
        },
        dictDefaultMessage: "بارگذاری ویدیو",
        dictRemoveFile: "حذف نمایش",
		dictFileTooBig:"سایز ویدیو بیشتر از دو مگابایت میباشد",
		dictInvalidFileType:"فرمت فایل نا معتبر میباشد",
		dictCancelUpload:"توقف ارسال",
		dictUploadCanceled:"ارسال متوقف شد"

    });

});

$(function() {
            $(document).on('click', '.btn-add', function(e) {
                e.preventDefault();

                var controlForm = $('.controls form:first .entryinputs'),
                    currentEntry = $(this).parents('.entry:first'),
                    newEntry = $(currentEntry.clone()).appendTo(controlForm);

                newEntry.find('input').val('');
                controlForm.find('.entry:not(:last) .btn-add')
                    .removeClass('btn-add').addClass('btn-remove')
                    .removeClass('btn-success').addClass('btn-danger')
                    .html('<span class="glyphicon glyphicon-minus">حذف فیلد</span>');
            }).on('click', '.btn-remove', function(e) {
                $(this).parents('.entry:first').remove();

                e.preventDefault();
                return false;
            });
        });
